textures/arcadiumpro_misc/glass
{
	qer_editorimage "textures/arcadium_color/white.jpg"
	qer_trans 0.5
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceparm slick
	surfaceparm noDamage
	surfaceparm trans
	{
		map $whiteimage
		blendfunc blend
		alphaGen const 0.1
	}
	{
		map "textures/arcadiumpro_misc/qer/tint.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/arcadiumpro_misc/glass_noslick
{
	qer_editorimage "textures/arcadium_color/white.jpg"
	qer_trans 0.5
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceparm noDamage
	surfaceparm trans
	{
		map $whiteimage
		blendfunc blend
		alphaGen const 0.1
	}
	{
		map "textures/arcadiumpro_misc/qer/tint.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/arcadiumpro_misc/glass_ub
{
	qer_editorimage "textures/arcadium_color/white.jpg"
	qer_trans 0.3
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 10
	q3map_lightSubdivide 512
	q3map_bouncescale 0.15
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm trans
	{
		map $whiteimage
		blendfunc blend
		alphaGen const 0.01
	}
	{
		map "textures/arcadiumpro_misc/qer/tint.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/arcadiumpro_misc/portal
{
	qer_editorimage "textures/arcadiumpro_misc/portal.tga"
	qer_trans 0.7
	surfaceparm detail
	surfaceparm nonsolid
	{
		map "textures/arcadiumpro_misc/portal.tga"
		tcMod scroll 0 1
	}
}

textures/arcadiumpro_misc/booster
{
	qer_editorimage "textures/arcadium_color/red.jpg"
	qer_trans 0.5
	q3map_lightRGB 1 0 0
	q3map_surfaceLight 70
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceparm nonsolid
	surfaceparm trans
	{
		map "textures/arcadium_color/red.jpg"
		blendfunc blend
		alphaGen const 0.5
		rgbGen wave sin 0.50 0.30 0.5 0.3
	}
}

textures/arcadiumpro_misc/floor:q3map
{
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm pavement
}

textures/arcadiumpro_misc/floor_i
{
	qer_editorimage "textures/arcadiumpro_misc/floor.jpg"
	
	surfaceParm noDamage
	surfaceparm slick
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map "textures/arcadiumpro_misc/floor.jpg"
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/arcadiumpro_misc/stone:q3map
{
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm pavement
}

textures/arcadiumpro_misc/wood:q3map
{
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm softWood
}

textures/arcadiumpro_misc/wood_h
{
	qer_editorImage "textures/arcadiumpro_misc/wood.jpg"
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm softWood
	surfaceParm nonSolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map "textures/arcadiumpro_misc/wood.jpg"
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/arcadiumpro_misc/wood_flooring:q3map
{
	surfaceParm noDamage
}

textures/arcadiumpro_misc/wood_museum:q3map
{
	surfaceParm noDamage
}

textures/arcadiumpro_misc/wood_museum2:q3map
{
	surfaceParm noDamage
}

textures/arcadiumpro_misc/barrier:q3map
{
	surfaceParm noDamage
	surfaceParm plastic
}

textures/arcadiumpro_misc/snow:q3map
{
	surfaceparm nodamage
	surfaceparm slick
	surfaceParm snow
}

textures/arcadiumpro_misc/snow_garage:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/arcadiumpro_misc/snow_roof:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/arcadiumpro_misc/jardin_herbe:q3map
{
	surfaceparm nodamage
	surfaceparm grass
}

textures/arcadiumpro_misc/jardin_buisson
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	qer_trans .5
	{
		map textures/arcadiumpro_misc/jardin_buisson.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/arcadiumpro_misc/ground:q3map
{
	surfaceparm nodamage
    surfaceparm detail
}

textures/arcadiumpro_misc/misi_ground:q3map
{
	surfaceparm nodamage
    surfaceparm detail
}

textures/arcadiumpro_misc/misi_slide:q3map
{
	surfaceparm nodamage
    surfaceparm detail
}

textures/arcadiumpro_misc/lava
{
    qer_editorimage textures/arcadiumpro_misc/lava.jpg
    qer_nocarve
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm water
    surfaceparm nolightmap
    q3map_surfacelight 600
    cull disable
    {
        map textures/arcadiumpro_misc/lava.jpg
        tcmod scale 0.10 0.10
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc gl_one gl_zero
        rgbGen identity
    }
    {
        map textures/arcadiumpro_misc/lava.jpg
        blendfunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/arcadiumpro_misc/gun_gold
{
	surfaceParm noDamage
	deformVertexes autosprite
	cull disable
	{
		map "textures/arcadiumpro_misc/gun_gold.jpg"
		blendfunc gl_dst_color gl_zero
	}
}


textures/arcadiumpro_misc/flame
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	cull none
	q3map_surfacelight 5000
	q3map_LightRGB 1 .5 0
	qer_editorimage textures/arcadiumpro_misc/flame/flame1.tga
	
	{
		animMap 10 textures/arcadiumpro_misc/flame/flame1.tga textures/arcadiumpro_misc/flame/flame2.tga textures/arcadiumpro_misc/flame/flame3.tga textures/arcadiumpro_misc/flame/flame4.tga textures/arcadiumpro_misc/flame/flame5.tga textures/arcadiumpro_misc/flame/flame6.tga textures/arcadiumpro_misc/flame/flame7.tga textures/arcadiumpro_misc/flame/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/arcadiumpro_misc/flame/flame2.tga textures/arcadiumpro_misc/flame/flame3.tga textures/arcadiumpro_misc/flame/flame4.tga textures/arcadiumpro_misc/flame/flame5.tga textures/arcadiumpro_misc/flame/flame6.tga textures/arcadiumpro_misc/flame/flame7.tga textures/arcadiumpro_misc/flame/flame8.tga textures/arcadiumpro_misc/flame/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/arcadiumpro_misc/flame/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/arcadiumpro_misc/black_nolightmap
{
	qer_editorimage "textures/arcadium_color/black.tga"
	polygonOffset
	{
		map "textures/arcadium_color/black.tga"
	}
}

textures/arcadiumpro_misc/white_nolightmap
{
	qer_editorimage "textures/arcadium_color/white.tga"
	polygonOffset
	{
		map "textures/arcadium_color/white.tga"
	}
}

textures/arcadiumpro_misc/pro
{
	qer_editorimage "textures/arcadium_color/white.jpg"
	qer_trans 0.5
	q3map_bounceScale 0.15
	surfaceparm slick
	surfaceparm noDamage
	surfaceparm trans
	{
		map $whiteimage
		blendfunc blend
		alphaGen const 0.3
	}
	{
		map "textures/arcadiumpro_misc/qer/tint.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}


textures/arcadiumpro_misc/sexy_light
{
	qer_editorimage "textures/arcadium_color/red.jpg"
	qer_trans 0.3
	surfaceparm slick
	surfaceparm trans
	sort nearest
	polygonoffset
	{
		map "textures/arcadium_color/red.jpg"
		blendfunc blend
		alphaGen const 0.3
		rgbGen wave sin 0.3 0.1 0.5 0.3
	}
	{
		map "textures/arcadiumpro_misc/qer/tint.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/arcadiumpro_misc/ladder
{
	qer_editorimage "textures/arcadiumpro_misc/pillar.jpg"
	
	surfaceparm ladder
	surfaceparm nodamage
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map "textures/arcadiumpro_misc/pillar.jpg"
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
